org.jboss.logging.processor.model

## Interface ReturnType

All Superinterfaces:
  MessageObject, MessageObjectType

All Known Implementing Classes:
  ReturnType.VoidReturnType

    public interface ReturnType
    extends MessageObject, MessageObjectType

Date: 29.07.2011

Author:
  James R. Perkins

### Nested Class Summary

Nested Classes
`static class` `ReturnType.VoidReturnType` Default type if the return type is void.

### Field Summary

Fields
`static ReturnType` `VOID`

### Method Summary

Methods
`boolean` `hasFieldFor(Parameter parameter)` Checks to see if the return type has a field with the name with the same name and type as the `parameter`.
`boolean` `hasMethodFor(Parameter parameter)` Checks to see if the return type has a method with the name with the same name and parameter type as the `parameter`.
`boolean` `isPrimitive()` Indicates whether or not the return type is a primitive.
`boolean` `isThrowable()` Checks to see if the return type is an exception, extends Throwable.
`String` `name()` Returns the qualified class name of the return type.
`ThrowableType` `throwableReturnType()` Returns the exception return type if `isThrowable()` returns `true`.

### Methods inherited from interface org.jboss.logging.processor.model.MessageObjectType

`isAssignableFrom, isSameAs, isSubtypeOf, type`

### Methods inherited from interface org.jboss.logging.processor.model.MessageObject

`reference`

### Field Detail

#### VOID

    static final ReturnType VOID

### Method Detail

#### hasFieldFor

    boolean hasFieldFor(Parameter parameter)

Checks to see if the return type has a field with the name with the same name and type as the `parameter`.

Parameters:
  `parameter` - the parameter to check.
Returns:
  `true` if the field exists, is accessible, mutable and is assignable from the type otherwise `false`.

#### hasMethodFor

    boolean hasMethodFor(Parameter parameter)

Checks to see if the return type has a method with the name with the same name and parameter type as the `parameter`.

Parameters:
  `parameter` - the parameter to check.
Returns:
  `true` if the method exists, is accessible and its parameter is assignable from the type, otherwise `false`.

#### isThrowable

    boolean isThrowable()

Checks to see if the return type is an exception, extends Throwable.

Returns:
  `true` if the return type is an exception, otherwise `false`.

#### isPrimitive

    boolean isPrimitive()

Indicates whether or not the return type is a primitive.

Returns:
  `true` if a primitive, otherwise `false`.

#### name

    String name()

Returns the qualified class name of the return type.

Specified by:
  `name` in interface `MessageObject`
Returns:
  the qualified class name fo the return type.

#### throwableReturnType

    ThrowableType throwableReturnType()

Returns the exception return type if `isThrowable()` returns `true`. Otherwise `null` is returned.

Returns:
  an exception return type, otherwise `null`.